* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

html {
  color: #2d334a;
  line-height: 1.4;
  font-size: 16pt;
  background-color: #fffffe;
  font-family: "Elms Sans", Helvetica, sans-serif;
}

main {
  width: 75vw;
  margin: auto;
}

header {
  width: 100%;
  padding: 1.5rem;
}

nav {
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
  gap: 1rem;
  text-transform: uppercase;
  font-weight: 400;
}

nav a {
  color: #272343;
  text-decoration: none;
  padding: 0.5rem 1rem;
  border-radius: 50px;
  transition: font-weight 0.2s ease, background-color 0.2s ease, border-radius 0.2s ease;
}

nav a:link {
  color: #272343;
}

nav a:visited {
  color: #272343;
}

nav a:hover {
    font-weight: 700;
    background-color: rgb(255, 216, 3);
    border-radius: 50px;
}

nav a:active {
  color: #272343;
  font-weight: 400;
}

h1 {
  font-size: 6.5vw;
  font-family: "Bagel Fat One", "Elms Sans", Helvetica, sans-serif;
  margin: 3rem auto;
  text-align: center;
  color: #272343;
}

h2 {
  font-family: "Bagel Fat One", "Elms Sans", Helvetica, sans-serif;
  text-align: center;
  margin: 2rem auto;
  font-size: 2.5vw;
  text-transform: uppercase;
  letter-spacing: 0.1rem;
}

.home-page p {
  text-align: center;
  margin: 0 auto 2rem auto;
}

.button {
  margin: 6rem auto 4rem auto;
  /*padding: 1rem 2rem;*/
  text-align: center;
  text-transform: uppercase;
  letter-spacing: 0.1rem;
  border-radius: 50px;
}

.button a {
  background-color: #ffd803;
  padding: 1rem;
  border-radius: 50px;
  color: #272343;
  text-decoration: none;
  font-size: 1rem;
  font-weight: 700;
  border: 2px solid transparent;
  transition: border 0.2s ease, font-size 0.2s ease;
}

.button a:link {
  color: #272343;
}

.button a:visited {
  color: #272343;
}

.button a:hover {
  border: 2px solid #272343;
  font-size: 1.1rem;
}

.button a:active {
  color: #272343;
  font-weight: 400;
}

.hero {
  object-fit: cover;
  border-radius: 10px;
  width: 100%;
  height: 50%;
}

/* ABOUT */
.grid {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 1rem;
  margin: 4rem 0;
}

.grid img {
  object-fit: cover;
  width: 100%;
  height: 100%;
  border-radius: 10px;
}

.grid h2 {
  grid-column: 1 / 3;
}

.grid p {
  grid-column: 1 /3;
}

.top {
  text-align: center;
  margin: 3rem auto;
  text-transform: uppercase;
  letter-spacing: 0.1rem;
}

.top a {
  background-color: #ffd803;
  padding: 1rem;
  border-radius: 50px;
  text-decoration: none;
  color: #272343;
  font-weight: 700;
  transition: border 0.2s ease, font-size 0.2s ease;
}

.top a:link {
  color: #272343;
}

.top a:visited {
  color: #272343;
}

.top a:hover {
  border: 2px solid #272343;
  font-size: 1.1rem;
}

.top a:active {
  color: #272343;
  font-weight: 400;
}

/* BLOG PAGE */

            /* JUMP TO STYLES */

.jump-to {
  margin-bottom: 5rem;
}

.jump-to h4 {
  font-size: 1.25rem;
  text-transform: uppercase;
  text-align: center;
  margin: 2rem auto 1rem auto; 
}

.jump-to ol {
  display: flex;
  flex-direction: row;
  list-style-type: none;
  justify-content: space-between;
  align-items: center;
  flex-wrap: wrap;
  column-gap: 0.75rem;
  row-gap: 2rem;
  margin-top: 2rem;
  font-size: 0.75rem;
  letter-spacing: 0.08rem;
}

.jump-to ol a {
  text-decoration: none;
  color: #272343;
  font-weight: 700;
  background-color: #ffd803;
  border-radius: 50rem;
  border: 2px solid transparent;
  padding: 0.75rem;
  transition: border 0.2s ease;
}

.jump-to ol a:hover {
  border: 2px solid #272343;
}

            /* SUPPLIES SECTION STYLES */

.supplies {
  background-color: #e3f6f5;
  border-radius: 10px;
  padding: 1rem 3rem 2rem;
}

li ul {
  padding-left: 1rem;
  margin-bottom: 1rem;
}

            /* GROUP SIZE STYLES */

.group-size p {
  text-align: center;
  margin-bottom: 3rem;
}

            /* HOW TO PLAY STYLES */

.how-to-play img {
  width: 70%;
  height: auto;
  display: block;
  margin: auto;
  border-radius: 10px;
}

.how-to-play p {
  padding-bottom: 1rem;
}

.how-to-play h4 {
  padding-bottom: 0.25rem;
  font-style: italic;
  font-weight: 700;
  text-transform: uppercase;
  border-bottom: 2px solid #bae8e8;
  margin: 2rem 0 0.5rem;
}

            /* RECOMMENDATIONS STYLES */

.recommendations img {
  width: 70%;
  height: auto;
  display: block;
  margin: 3rem auto;
  border-radius: 10px;
}

.recommendations p {
  padding-bottom: 1rem;
}

.recommendations h4 {
  padding-bottom: 0.25rem;
  font-style: italic;
  font-weight: 700;
  text-transform: uppercase;
  border-bottom: 2px solid #bae8e8;
  margin: 2rem 0 0.5rem;
}

            /* VIDEO STYLES */

video {
  display: block;
  margin: auto;
  width: 100%;
  height: auto;
}

            /* QUESTIONS STYLES */

.questions form {
  width: 50vw;
  margin: auto;
  border: 2px solid #bae8e8;
  border-radius: 10px;
  padding: 1rem;
  text-align: center;
}

.questions fieldset {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  border: none;
}

.questions legend {
  text-transform: uppercase;
  letter-spacing: 0.1rem;
}

.questions label {
  text-transform: uppercase;
  letter-spacing: 0.1rem;
  font-size: 0.75rem;
}

.questions input {
  margin: 1rem;
  width: 25vw;
}

.questions button {
  max-width: 20vw;
  min-width: 100px;
  background-color: #ffd803;
  border-style: none;
  border-radius: 50px;
  border: 2px solid #272343;
  padding: 0.75rem 1rem;
  font-size: 0.75rem;
  text-transform: uppercase;
  font-weight: 700;
  letter-spacing: 0.1rem;
  color: #272343;
  transition: border 0.2s ease;
}

.questions button:hover {
  border: 2px solid transparent;
}

/* FOOTER */

footer {
  margin-top: 200px;
  padding: 1rem 0 0 0;
  background-color: #e3f6f5;
}

footer form {
  margin: 1rem 2rem;
}

.newsletter fieldset {
  display: flex;
  flex-direction: column;
  border: none;
}

.newsletter legend {
  font-family: "Bagel Fat One", "Elms Sans", Helvetica, sans-serif;
  text-transform: uppercase;
  letter-spacing: 0.1rem;
}

.newsletter label {
  text-transform: uppercase;
  letter-spacing: 0.1rem;
  font-size: 0.75rem;
}

.newsletter input {
  margin: 0.5rem 0 1rem 0;
  max-width: 300px;
  min-width: 20vw;
}

.newsletter button {
  max-width: 10vw;
  min-width: 100px;
  background-color: #ffd803;
  border-style: none;
  border-radius: 50px;
  border: 2px solid #272343;
  padding: 0.75rem 0;
  font-size: 0.75rem;
  text-transform: uppercase;
  font-weight: 700;
  letter-spacing: 0.1rem;
  color: #272343;
  transition: font-size 0.2s ease;
}

.newsletter button:hover {
  font-size: 1rem;
}

.sources {
  font-size: 0.75rem;
  margin: 2rem 0 0 3rem;
}

.sources a {
  color: #2d334a;
  text-decoration: none;
  padding-right: 1rem;
  transition: font-weight 0.2s ease;
}

.sources a:link {
  color: #2d334a;
}

.sources a:visited {
  color: #0A0B10;
}

.sources a:hover {
  font-weight: 700;
}

.sources a:active {
  font-style: italic;
}

.copyright {
  font-size: 0.75rem;
  text-align: center;
  color: #fffffe;
  background-color: #272343;
  margin-top: 1rem;
  padding: 1rem;
}

/* PSEUDO CLASSES */
a {
  text-decoration: none;
  transition: font-weight 0.2s ease;
}

a:link {
  color: #40BFBF;
}

a:visited {
  text-decoration: underline;
  color: #40BFBF;
}

a:hover {
  font-weight: 700;
}

a:active {
  color: #bae8e8;
}

/* 530px MEDIA QUERY */
@media (max-width: 530px) {
    /* BLOG PAGE */
    nav {
      font-size: 0.75rem;
    }
    
    .jump-to ol {
      justify-content: space-around;
    }
    
    h2 {
      font-size: 1rem;
    }
    
    .how-to-play img {
      width: 100%;
      height: auto;
    }
    
    .recommendations img {
      width: 100%;
      height: auto;
    }
    
    .questions form {
      width: 75vw;
    }
    
    .questions input {
      width: 50vw;
    }
    
    .questions button {
      max-width: 50vw;
      min-width: 25vw;
    }

    /* ABOUT PAGE */
    .grid {
      display: flex;
      flex-direction: column;
      height: auto;
    }

    /* HOME PAGE */
    .button a {
      font-size: 3.5vw;
    }
}

/* 420px MEDIA QUERY */
@media (max-width: 420px) {
    /* BLOG PAGE */
    .jump-to ol {
      flex-direction: column;
    }
}





